| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CS::DocumentHelper::NodeAttributeCompare Struct Reference

Node comparator. More...

`#include <csutil/documenthelper.h>`

List of all members.

## Public Member Functions
| NodeAttributeCompare (const char *attributeName)
bool | operator() (iDocumentNode *node1, iDocumentNode *node2) const

## Detailed Description

Node comparator.

Compares a given attribute between two nodes (case-insensitive).

Definition at line 193 of file documenthelper.h.

The documentation for this struct was generated from the following file:

- csutil/documenthelper.h